For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The RemoteUser object
          • GET/users
          • GET/users/{id}
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsUsers

/users

GET
/ats/v1/users
GET
/api/ats/v1/users
$curl -G https://api.merge.dev/api/ats/v1/users \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d cursor=cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw \
> -d remote_fields=access_role \
> -d show_enum_origins=access_role
200Retrieved
1{
2 "next": "cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw",
3 "previous": "cj1sZXdwd2VycWVtY29zZnNkc2NzUWxNMEUxTXk0ME16UXpNallsTWtJ",
4 "results": [
5 {
6 "id": "b82302de-852e-4e60-b050-edf9da3b7c02",
7 "remote_id": "344321",
8 "created_at": "2021-09-15T00:00:00Z",
9 "modified_at": "2021-10-16T00:00:00Z",
10 "first_name": "Shensi",
11 "last_name": "Ding",
12 "email": "hello@merge.dev",
13 "disabled": true,
14 "remote_created_at": "2020-11-10T00:00:00Z",
15 "access_role": "SUPER_ADMIN",
16 "remote_was_deleted": true,
17 "field_mappings": {
18 "organization_defined_targets": {
19 "custom_key": "custom_value"
20 },
21 "linked_account_defined_targets": {
22 "custom_key": "custom_value"
23 }
24 },
25 "remote_data": [
26 {
27 "path": "/users",
28 "data": null
29 }
30 ]
31 }
32 ]
33}

Returns a list of RemoteUser objects.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

The RemoteUser object

Next

/users/{id}

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

created_afterdatetimeOptional
If provided, will only return objects created after this datetime.
created_beforedatetimeOptional
If provided, will only return objects created before this datetime.
cursorstringOptional
The pagination cursor value.
emailstringOptional
If provided, will only return remote users with the given email address
include_deleted_databooleanOptional
Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. [Learn more](https://docs.merge.dev/integrations/hris/supported-features/).
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

modified_afterdatetimeOptional
If provided, only objects synced by Merge after this date time will be returned.
modified_beforedatetimeOptional
If provided, only objects synced by Merge before this date time will be returned.
page_sizeintegerOptional
Number of results to return per page. The maximum limit is 100.
remote_fieldsenumOptional

Deprecated. Use show_enum_origins.

Allowed values:
remote_idstringOptional
The API provider's ID for the given object.
show_enum_originsenumOptional
A comma separated list of enum field names for which you'd like the original values to be returned, instead of Merge's normalized enum values. [Learn more](https://help.merge.dev/en/articles/8950958-show_enum_origins-query-parameter)
Allowed values:

Response

nextstring or null
previousstring or null
resultslist of objects

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

A comma separated list of enum field names for which you’d like the original values to be returned, instead of Merge’s normalized enum values. Learn more